<?php

/**
 * WebService Miriade.ephemcc - get interface
 *   NameSpace : http://vo.imcce.fr/webservices/miriade/
 *   WSDL      : http://vo.imcce.fr/webservices/miriade/miriade.wsdl
 *   Method    : ephemcc
 *   Parameters:  get   -> keyword of requested data (genoide_solutions | genoide_best_solutions | orbital_params)
 *                name  -> Number or name or designation of the target (with or not leading code 'a', 'p', 's', 'c')
 *   Response  : text/csv document which contained requested data
 * 
 * @author J. Berthier (IMCCE/OBSPM) <berthier@imcce.fr> & F.Vachier (IMCCE/OBSPM) <fv@imcce.fr>
 * @copyright (C) 2005-2015, IMCCE
 * @since PHP5
 * @version 2.0
 */

// Client's ID
$from = 'DemoClient';

// Parametres du service
$param = array(
   'get'  => 'orbital_params',
   'name' => 'c:1P'
);

// Mise en cache ou non du WSDL du service
ini_set('soap.wsdl_cache_enabled', 0);

// Namespace et WSDL du service
$uri     = 'http://vo.imcce.fr/webservices/miriade';
$wsdl    = 'miriade.wsdl';
$uriwsdl = $uri."/".$wsdl;

// Execution de la requete
try 
{
  // Instantiation du client
  $client = new SoapClient($uriwsdl, array('exceptions'=>1));
  // Parametres de l'entete SOAP
  $header = array('from'=>$from, 'hostip'=>'');
  // Construction de l'entete SOAP
  $client->__setSoapHeaders(array(new SOAPHeader($uri, 'clientID', $header)));
  // Appel de la methode
  $response = $client->__soapCall('ephemcc',array($param));
  if (! empty($param['get'])) {
    header("Content-Type: text/csv");
    echo $response->result."\n";
  } else {
    echo "nothing\n";
  }
}
catch (SoapFault $fault) 
{
  trigger_error("SOAP Fault: {$fault->getTraceAsString()} (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_USER_ERROR);
}

?>
